commit 56744d9ed626805bb4ff5f5de7f9bb20d8475adc
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sat Sep 5 00:16:52 2020 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 091569f9fdd..f426e5d24d7 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,28 @@
+2020-09-04  Carl Love  <cel@us.ibm.com>
+
+	PR target/85830
+	* config/rs6000/altivec.h (vec_popcntb, vec_popcnth, vec_popcntw,
+	vec_popcntd): Remove defines.
+
+2020-09-04  Martin Jambor  <mjambor@suse.cz>
+
+	Backported from master:
+	2020-09-03  Martin Jambor  <mjambor@suse.cz>
+
+	PR tree-optimization/96820
+	* tree-sra.c (create_access): Disqualify candidates with accesses
+	beyond the end of the original aggregate.
+	(maybe_add_sra_candidate): Check that candidate type size fits
+	signed uhwi for the sake of consistency.
+
+2020-09-04  David Faust  <david.faust@oracle.com>
+
+	Backported from master:
+	2020-09-04  David Faust  <david.faust@oracle.com>
+
+	* config/bpf/bpf.h (ASM_SPEC): Pass -mxbpf to gas, if specified.
+	* config/bpf/bpf.c (bpf_output_call): Support indirect calls in xBPF.
+
 2020-09-03  Peter Bergner  <bergner@linux.ibm.com>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 7b35a7c6950..ed302f89446 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20200904
+20200905
diff --git a/gcc/d/ChangeLog b/gcc/d/ChangeLog
index 2db30274776..cbbcc339967 100644
--- a/gcc/d/ChangeLog
+++ b/gcc/d/ChangeLog
@@ -1,3 +1,12 @@
+2020-09-04  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2020-09-04  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	PR d/96924
+	* expr.cc (ExprVisitor::visit (CatAssignExp *)): Don't force
+	temporaries needlessly.
+
 2020-08-30  Iain Buclaw  <ibuclaw@gdcproject.org>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index c1d99f741c0..2c358d42737 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,26 @@
+2020-09-04  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2020-09-04  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	PR d/96924
+	* gdc.dg/pr96924.d: New test.
+
+2020-09-04  Martin Jambor  <mjambor@suse.cz>
+
+	Backported from master:
+	2020-09-03  Martin Jambor  <mjambor@suse.cz>
+
+	PR tree-optimization/96820
+	* gcc.dg/tree-ssa/pr96820.c: New test.
+
+2020-09-04  David Faust  <david.faust@oracle.com>
+
+	Backported from master:
+	2020-09-04  David Faust  <david.faust@oracle.com>
+
+	* gcc.target/bpf/xbpf-indirect-call-1.c: New test.
+
 2020-09-03  Peter Bergner  <bergner@linux.ibm.com>
 
 	Backported from master:

